#version 110

varying vec2 out_uv;

uniform sampler2D uniform_texture_num;
uniform vec4 uniform_color_mod;

void main() {
	gl_FragColor = texture2D(uniform_texture_num, out_uv) * uniform_color_mod;
}
